Bug 2140224 - CVE-2022-43995 sudo: heap-based overflow with very small passwords [fedora-all]
Summary: CVE-2022-43995 sudo: heap-based overflow with very small passwords [fedora-all]
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sudo
Version: 36
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Radovan Sroka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-04 20:44 UTC by Marco Benatto
Modified: 2022-11-08 15:26 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-07 16:49:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Marco Benatto 2022-11-04 20:44:02 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2139911

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Marco Benatto 2022-11-04 20:44:04 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2139911,2140224

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Blocker Bugs Application 2022-11-07 11:08:53 UTC
Proposed as a Blocker for 37-final by Fedora user frantisekz using the blocker tracking app because:

 The release must contain no known security bugs of 'important' or higher impact according to the Red Hat severity classification scale which cannot be satisfactorily resolved by a package update (e.g. issues during installation).

Is this satisfactorily resolved by a package update? Probably, proposing up for discussion.

Also, impact is unclear, according to https://nvd.nist.gov/vuln-metrics/cvss/v3-calculator?name=CVE-2022-43995&vector=AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:H&version=3.1&source=NIST : 
- Confidentiality Impact (C)*: High
- Integrity Impact (I)*: None
- Availability Impact (A)*: High

Comment 3 Flo 2022-11-07 13:53:20 UTC
Is Fedora even affected by this bug? I am asking because Ubuntu states [1] that "sudo packages in Ubuntu are compiled with PAM support, so the
vulnerable code isn't part of the binaries."

I think the same is true for Fedora, see spec file [2].

[1]: https://ubuntu.com/security/CVE-2022-43995
[2]: https://src.fedoraproject.org/rpms/sudo/blob/f37/f/sudo.spec

Comment 4 Radovan Sroka 2022-11-07 14:33:12 UTC
Hello,

this bugzilla is not relevant to fedora. We are not affected by this, can we close it?

Comment 5 Adam Williamson 2022-11-07 16:49:26 UTC
I confirmed on my own reading that the affected code is not built in Fedora's sudo. Closing.


Note You need to log in before you can comment on or make changes to this bug.